<?php
if ( !defined( "SAXUE_CORE_INCLUDE" ) ) {
		include "../../core.php";
} 
if ( empty( $_REQUEST['uid'] ) ) {
		saxue_printfail( LANG_NO_USER );
} 
$GLOBALS['_REQUEST']['uid'] = intval( $_REQUEST['uid'] );
include_once( SAXUE_ROOT_PATH . "/model/member_users.php" );
$users_handler = &saxuememberusershandler :: getinstance( "saxuememberusershandler" );
$user = $users_handler -> get( $_REQUEST['uid'] );
if ( !is_object( $user ) ) {
		saxue_printfail( LANG_NO_USER );
} 
include_once( SAXUE_ROOT_PATH . "/model/member_userdata.php" );
$userdata_handler = &saxuememberuserdatahandler :: getinstance( "saxuememberuserdatahandler" );
$userdata = $userdata_handler -> get( $_REQUEST['uid'] );
$row = $user -> getvars( "n" ) + $userdata -> getvars( "n" );
include_once( SAXUE_ADMIN_PATH . "/header.php" );
$saxueTpl -> assign_by_ref( "row", $row );
$saxueTpl -> assign( "uid", $_REQUEST['uid'] );
$saxueTpl -> setcaching( 0 );
$saxueTpl -> display( SAXUE_WEB_PATH . "/member/templates/view.html" );
